APG PayAPG Paydocs

Loans

Get loan product

GET/loan-products/{loanProductId}
Request
GEThttps://api.tst.au.apgpay.dev/loan-products/{loanProductId}
curl -X GET https://api.tst.au.apgpay.dev/loan-products/{loanProductId} \
  -H "Authorization: Bearer $API_KEY"

Return one loan product.

Permissions

Required permission
loanProducts:query

Requires the `query` action on `loanProducts` for the supplied runtime context

Path parameters

loanProductIdstring
required

Responses

The response is a tagged shape: type is always "LprodViewAttributes". Switch on it; subtypes can be added, and a client that already reads it will not break.

Discriminated by type
type = "LprodViewAttributes"
loanProductIdLprodIdrequired

Identifier of a loan product.

Example lprod_9f2Kd8QpLzXw

loanFacilityIdLfacIdrequired

Identifier of a loan facility.

Example lfac_9f2Kd8QpLzXw

enterpriseIdEntIdrequired

The enterprise that owns this product.

Example ent_9f2Kd8QpLzXw

descriptionstringrequired
currencyIsoCurrencyrequired
AFNDZDARSAMDAWGAUDAZNBSDBHDTHB
+156 more

PAB, BBD, BYR, BZD, BMD, VEF, BOB, BRL, BND, BGN, BIF, CAD, CVE, KYD, XOF, XAF, XPF, CLP, COP, KMF, CDF, BAM, NIO, CRC, HRK, CUP, CZK, GMD, DKK, MKD, DJF, STD, DOP, VND, XCD, EGP, SVC, ETB, EUR, FKP, FJD, HUF, GHS, GIP, HTG, PYG, GNF, GYD, HKD, UAH, ISK, INR, IRR, IQD, JMD, JOD, KES, PGK, LAK, KWD, MWK, AOA, MMK, GEL, LBP, ALL, HNL, SLL, LRD, LYD, SZL, LSL, MGA, MYR, MUR, MXN, MXV, MDL, MAD, MZN, BOV, NGN, ERN, NAD, NPR, ANG, ILS, TWD, NZD, BTN, KPW, NOK, PEN, MRU, PKR, MOP, TOP, CUC, UYU, PHP, GBP, BWP, QAR, GTQ, ZAR, OMR, KHR, RON, MVR, IDR, RUB, RWF, SHP, SAR, RSD, SCR, SGD, SBD, KGS, SOS, TJS, SSP, LKR, SDG, SRD, SEK, CHF, SYP, BDT, WST, TZS, KZT, TTD, MNT, TND, TRY, TMT, AED, UGX, COU, CLF, UYI, USD, USN, USS, UZS, VUV, CHE, CHW, KRW, YER, JPY, CNY, ZMW, ZWL, PLN

statusLprodStatusrequired
EnabledDisabledUnknown
productTypeLprodTyperequired

Which kind of product this is. The same distinction specification carries, as a value you can filter on.

RealtimeSettlementTradingAccountUnknown
createdAtstring (date-time)required

Example 2026-08-19T04:21:07Z

updatedAtstring (date-time)required

Example 2026-08-19T04:21:07Z

Example
{
  "type": "LprodViewAttributes",
  "loanProductId": "lprod_9f2Kd8QpLzXw",
  "loanFacilityId": "lfac_9f2Kd8QpLzXw",
  "enterpriseId": "ent_9f2Kd8QpLzXw",
  "description": "string",
  "currency": "AUD",
  "status": "Enabled",
  "productType": "RealtimeSettlement",
  "specification": {
    "type": "LprodSpecRealtimeSettlement",
    "variableFee": 12.5
  },
  "createdAt": "2026-08-19T04:21:07Z",
  "updatedAt": "2026-08-19T04:21:07Z"
}

Error responses